Mopidy Discourse

Strange behaviour - Mopidy only streams when connected to monitor

hi - seeing some very strange behaviour from my connection. Server is showing as running active but will not load radio streams when disconnected from monitor (headless LAN connection). I then reboot my RPI as a desktop (LAN connection still) and streams no problems.

my aim here is to run mopidy headless alongside some other rpi software.

any ideas?

debug below:

Feb 02 17:19:22 raspberrypi systemd[1]: Starting Mopidy music server…
Feb 02 17:19:22 raspberrypi systemd[1]: Started Mopidy music server.
Feb 02 17:19:26 raspberrypi mopidy[536]: INFO [MainThread] mopidy.main Starting Mopidy 3.1.1
Feb 02 17:19:26 raspberrypi mopidy[536]: INFO [MainThread] mopidy.config Loading config from builtin defaults
Feb 02 17:19:26 raspberrypi mopidy[536]: INFO [MainThread] mopidy.config Loading config from file:///usr/share/mopidy/conf.d/mopidy.conf
Feb 02 17:19:26 raspberrypi mopidy[536]: INFO [MainThread] mopidy.config Loading config from file:///etc/mopidy/mopidy.conf
Feb 02 17:19:26 raspberrypi mopidy[536]: INFO [MainThread] mopidy.config Loading config from command line options
Feb 02 17:19:28 raspberrypi mopidy[536]: INFO [MainThread] mopidy.ext Disabled extension funkwhale: mopidy<3.1,>=3 required, but found Mopidy 3.1.1 at /usr/local/lib/python3.7/dist-packages
Feb 02 17:19:28 raspberrypi mopidy[536]: INFO [MainThread] mopidy.main Enabled extensions: mixcloud, tunein, podcast-itunes, http, somafm, file, podcast, ytmusic, mpd, mobile, softwaremixer, iris, musicbox_webclient, inte
Feb 02 17:19:28 raspberrypi mopidy[536]: INFO [MainThread] mopidy.main Disabled extensions: funkwhale, local
Feb 02 17:19:28 raspberrypi mopidy[536]: WARNING [MainThread] mopidy.main Found local configuration errors. The extension has been automatically disabled:
Feb 02 17:19:28 raspberrypi mopidy[536]: WARNING [MainThread] mopidy.main local/media_dir must be set.
Feb 02 17:19:28 raspberrypi mopidy[536]: WARNING [MainThread] mopidy.main Please fix the extension configuration errors or disable the extensions to silence these messages.
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [MainThread] mopidy.commands Starting Mopidy mixer: SoftwareMixer
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [MainThread] mopidy.commands Starting Mopidy audio
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [MainThread] mopidy.commands Starting Mopidy backends: FileBackend, M3UBackend, StreamBackend, YTMusicBackend, YouTubeBackend, TuneInBackend, SomaFMBackend, PodcastBackend, iTunes
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [YouTubeBackend-8] mopidy_youtube using bs4API
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [MainThread] mopidy.internal.path Creating dir file:///etc/mopidy/podcast
Feb 02 17:19:31 raspberrypi mopidy[536]: WARNING [MainThread] mopidy_podcast.library Cannot access Mopidy-Podcast config directory: Permission denied
Feb 02 17:19:31 raspberrypi mopidy[536]: INFO [Audio-2] mopidy.audio.actor Audio output set to “alsasink device=hw:1,0”
Feb 02 17:19:31 raspberrypi mopidy[536]: ERROR [Thread-7] mopidy_ytmusic YTMusic failed to load auto playlists
Feb 02 17:19:31 raspberrypi mopidy[536]: Traceback (most recent call last):

config below:

Running “/usr/bin/mopidy --config /usr/share/mopidy/conf.d:/etc/mopidy/mopidy.conf config” as user mopidy
[core]
cache_dir = /var/cache/mopidy
config_dir = /etc/mopidy
data_dir = /var/lib/mopidy
max_tracklist_length = 10000
restore_state = false

[logging]
verbosity = 0
format = %(levelname)-8s [%(threadName)s] %(name)s %(message)s
color = false
config_file =

[audio]
mixer = software
mixer_volume =
output = alsasink device=hw:1,0
buffer_time =

[proxy]
scheme =
hostname =
port =
username =
password =

[file]
enabled = true
media_dirs =
$XDG_MUSIC_DIR|Music
~/|Home
excluded_file_extensions =
.directory
.html
.jpeg
.jpg
.log
.nfo
.pdf
.png
.txt
.zip
show_dotfiles = false
follow_symlinks = false
metadata_timeout = 1000

[http]
enabled = true
hostname = ::
port = 6680
zeroconf = Mopidy HTTP server on $hostname
allowed_origins =
csrf_protection = true
default_app = mopidy

[m3u]
enabled = true
base_dir =
default_encoding = latin-1
default_extension = .m3u8
playlists_dir =

[softwaremixer]
enabled = true

[stream]
enabled = true
protocols =
http
https
mms
rtmp
rtmps
rtsp
metadata_blacklist =
timeout = 5000

[ytmusic]
enabled = true
auth_json =
auto_playlist_refresh = 60
youtube_player_refresh = 15
playlist_item_limit = 100
subscribed_artist_limit = 100
enable_history = true
enable_liked_songs = true
enable_mood_genre = true
enable_scrobbling = true
stream_preference =
141
251
140
250
249
verify_track_url = true

[youtube]
enabled = true
youtube_api_key =
threads_max = 16
search_results = 15
playlist_max_videos = 20
api_enabled = false
autoplay_enabled = false
strict_autoplay = false
max_autoplay_length = 600
max_degrees_of_separation = 3

[tunein]
enabled = true
timeout = 5000
filter =

[somafm]
enabled = true
encoding = mp3
quality = fast
dj_as_artist = true

[podcast]
enabled = true
browse_root = Podcasts.opml
browse_order = desc
lookup_order = asc
cache_size = 64
cache_ttl = 86400
timeout = 10

[podcast-itunes]
enabled = true
base_url = http://itunes.apple.com/
country = US
explicit =
charts = audioPodcasts
charts_limit = 20
search_limit = 20
timeout = 10
retries = 3

[musicbox_webclient]
enabled = true
musicbox = false
websocket_host =
websocket_port =
on_track_click = PLAY_ALL

[mpd]
enabled = true
hostname = ::
port = 6600
password =
max_connections = 20
connection_timeout = 60
zeroconf = Mopidy MPD server on $hostname
command_blacklist =
listall
listallinfo
default_playlist_scheme = m3u

[mobile]
enabled = true
title = Mopidy Mobile on $hostname
ws_url =

[mixcloud]
enabled = true
users =
tags =
search_max = 20
refresh_period = 600
ignore_exclusive = true

[local]
enabled = false ; Extension disabled due to config errors.
max_search_results = 100
media_dir = ; Must be set.
scan_timeout = 1000
scan_flush_threshold = 100
scan_follow_symlinks = false
included_file_extensions =
excluded_file_extensions =
.cue
.directory
.html
.jpeg
.jpg
.log
.nfo
.pdf
.png
.txt
.zip
directories =
Albums local:directory?type=album
Artists local:directory?type=artist
Composers local:directory?type=artist&role=composer
Genres local:directory?type=genre
Performers local:directory?type=artist&role=performer
Release Years local:directory?type=date&format=%25Y
Tracks local:directory?type=track
Last Week’s Updates local:directory?max-age=604800
Last Month’s Updates local:directory?max-age=2592000
timeout = 10
use_artist_sortname = false
album_art_files =
*.jpg
*.jpeg
*.png

[iris]
enabled = true
country = NZ
locale = en_NZ
spotify_authorization_url = https://jamesbarnsley.co.nz/iris/auth_spotify.php
lastfm_authorization_url = https://jamesbarnsley.co.nz/iris/auth_lastfm.php
genius_authorization_url = https://jamesbarnsley.co.nz/iris/auth_genius.php
data_dir = $XDG_DATA_DIR/iris

[internetarchive]
enabled = true
base_url = http://archive.org
collections =
audio
etree
librivoxaudio
audio_bookspoetry
audio_tech
audio_music
audio_news
audio_foreign
audio_podcast
audio_religion
audio_formats =
VBR MP3
64Kbps MP3
image_formats =
JPEG
JPEG Thumb
browse_limit = 100
browse_views =
downloads desc|Views
titleSorter asc|Title
publicdate desc|Date Archived
date desc|Date Published
creatorSorter asc|Creator
search_limit = 20
search_order =
cache_size = 128
cache_ttl = 86400
retries = 3
timeout = 10

[funkwhale]
enabled = false ; Extension disabled by self check.

Are you plugging the HDMI into the Pi to use the monitor? Is the audio set to come out of the HDMI?
Where are you expecting audio to come from?

When used with monitor via hdmi connection, streams sync no issues.
Same configuration only without a monitor hdmi connection, nothing syncs.

Both times rpi configured for 3.5mm audio out. This is the screen shot of the frozen sync without the hdmi plugged in

The part of the log showing the playback error would be useful. What verison of Raspbian is this? The latest verison of the full desktop image uses pulseaudio, you might need to follow our specific documentation for pulseaudio to get that working. I’ve lost track of the mess they’ve made between the two image types and their lack of communication.

Running version 10 Buster of Raspbian. Also here is the debug log (sorry quite long). Rerean a test connected to the monitor with hdmi tonight and it was fine. This is the error log when disconnected from the monitor and running headless. Any ideas, much appreciated:)

– Logs begin at Wed 2021-02-03 20:30:07 GMT, end at Wed 2021-02-03 20:36:40 GMT. –
Feb 03 20:32:33 raspberrypi systemd[1]: Starting Mopidy music server…
Feb 03 20:32:33 raspberrypi systemd[1]: Started Mopidy music server.
Feb 03 20:32:38 raspberrypi mopidy[488]: INFO [MainThread] mopidy.main Starting Mopidy 3.1.1
Feb 03 20:32:38 raspberrypi mopidy[488]: INFO [MainThread] mopidy.config Loading config from builtin defaults
Feb 03 20:32:38 raspberrypi mopidy[488]: INFO [MainThread] mopidy.config Loading config from file:///usr/share/mopidy/conf.d/mopidy.conf
Feb 03 20:32:38 raspberrypi mopidy[488]: INFO [MainThread] mopidy.config Loading config from file:///etc/mopidy/mopidy.conf
Feb 03 20:32:38 raspberrypi mopidy[488]: INFO [MainThread] mopidy.config Loading config from command line options
Feb 03 20:32:39 raspberrypi mopidy[488]: INFO [MainThread] mopidy.ext Disabled extension funkwhale: mopidy<3.1,>=3 required, but found Mopidy 3.1.1 at /usr/local/lib/python3.7/dist-packages
Feb 03 20:32:39 raspberrypi mopidy[488]: INFO [MainThread] mopidy.main Enabled extensions: http, iris, podcast-itunes, youtube, musicbox_webclient, internetarchive, m3u, somafm, softwaremixer, podcast, mobile, tunein, mixcloud, ytmusic, file, mpd, stream
Feb 03 20:32:39 raspberrypi mopidy[488]: INFO [MainThread] mopidy.main Disabled extensions: local, funkwhale
Feb 03 20:32:39 raspberrypi mopidy[488]: WARNING [MainThread] mopidy.main Found local configuration errors. The extension has been automatically disabled:
Feb 03 20:32:39 raspberrypi mopidy[488]: WARNING [MainThread] mopidy.main local/media_dir must be set.
Feb 03 20:32:39 raspberrypi mopidy[488]: WARNING [MainThread] mopidy.main Please fix the extension configuration errors or disable the extensions to silence these messages.
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting Mopidy mixer: SoftwareMixer
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting Mopidy audio
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting Mopidy backends: FileBackend, M3UBackend, StreamBackend, YTMusicBackend, YouTubeBackend, TuneInBackend, SomaFMBackend, PodcastBackend, iTunesPodcastBackend, MopidyMixcloud, InternetArchiveBackend
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [YouTubeBackend-8] mopidy_youtube using bs4API
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.internal.path Creating dir file:///etc/mopidy/podcast
Feb 03 20:32:41 raspberrypi mopidy[488]: WARNING [MainThread] mopidy_podcast.library Cannot access Mopidy-Podcast config directory: Permission denied
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [Audio-2] mopidy.audio.actor Audio output set to “alsasink device=hw:1,0”
Feb 03 20:32:41 raspberrypi mopidy[488]: Exception in thread Thread-9:
Feb 03 20:32:41 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 159, in _new_conn
Feb 03 20:32:41 raspberrypi mopidy[488]: (self._dns_host, self.port), self.timeout, **extra_kw)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 80, in create_connection
Feb 03 20:32:41 raspberrypi mopidy[488]: raise err
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 70, in create_connection
Feb 03 20:32:41 raspberrypi mopidy[488]: sock.connect(sa)
Feb 03 20:32:41 raspberrypi mopidy[488]: OSError: [Errno 101] Network is unreachable
Feb 03 20:32:41 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:41 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
Feb 03 20:32:41 raspberrypi mopidy[488]: chunked=chunked)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 343, in _make_request
Feb 03 20:32:41 raspberrypi mopidy[488]: self._validate_conn(conn)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 841, in _validate_conn
Feb 03 20:32:41 raspberrypi mopidy[488]: conn.connect()
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 301, in connect
Feb 03 20:32:41 raspberrypi mopidy[488]: conn = self._new_conn()
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 168, in _new_conn
Feb 03 20:32:41 raspberrypi mopidy[488]: self, “Failed to establish a new connection: %s” % e)
Feb 03 20:32:41 raspberrypi mopidy[488]: urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb110>: Failed to establish a new connection: [Errno 101] Network is unreachable
Feb 03 20:32:41 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:41 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/adapters.py”, line 449, in send
Feb 03 20:32:41 raspberrypi mopidy[488]: timeout=timeout
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 638, in urlopen
Feb 03 20:32:41 raspberrypi mopidy[488]: _stacktrace=sys.exc_info()[2])
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 398, in increment
Feb 03 20:32:41 raspberrypi mopidy[488]: raise MaxRetryError(_pool, url, error or ResponseError(cause))
Feb 03 20:32:41 raspberrypi mopidy[488]: urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘music.youtube.com’, port=443): Max retries exceeded with url: / (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb110>: Failed to establish a new connection: [Errno 101] Network is unreachable’))
Feb 03 20:32:41 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:41 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/lib/python3.7/threading.py”, line 917, in _bootstrap_inner
Feb 03 20:32:41 raspberrypi mopidy[488]: self.run()
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/mopidy_ytmusic/repeating_timer.py”, line 18, in run
Feb 03 20:32:41 raspberrypi mopidy[488]: self._method()
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/mopidy_ytmusic/backend.py”, line 97, in _refresh_youtube_player
Feb 03 20:32:41 raspberrypi mopidy[488]: self.playback.Youtube_Player_URL = self._get_youtube_player()
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/mopidy_ytmusic/backend.py”, line 106, in _get_youtube_player
Feb 03 20:32:41 raspberrypi mopidy[488]: proxies=self.api.proxies,
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/api.py”, line 76, in get
Feb 03 20:32:41 raspberrypi mopidy[488]: return request(‘get’, url, params=params, **kwargs)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/api.py”, line 61, in request
Feb 03 20:32:41 raspberrypi mopidy[488]: return session.request(method=method, url=url, **kwargs)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/sessions.py”, line 542, in request
Feb 03 20:32:41 raspberrypi mopidy[488]: resp = self.send(prep, **send_kwargs)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/sessions.py”, line 655, in send
Feb 03 20:32:41 raspberrypi mopidy[488]: r = adapter.send(request, **kwargs)
Feb 03 20:32:41 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/adapters.py”, line 516, in send
Feb 03 20:32:41 raspberrypi mopidy[488]: raise ConnectionError(e, request=request)
Feb 03 20:32:41 raspberrypi mopidy[488]: requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘music.youtube.com’, port=443): Max retries exceeded with url: / (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb110>: Failed to establish a new connection: [Errno 101] Network is unreachable’))
Feb 03 20:32:41 raspberrypi mopidy[488]: ERROR [SomaFMBackend-11] mopidy_somafm.somafm SomaFM RequestException: HTTPSConnectionPool(host=‘api.somafm.com’, port=443): Max retries exceeded with url: /channels.xml (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xafc636b0>: Failed to establish a new connection: [Errno 101] Network is unreachable’))
Feb 03 20:32:41 raspberrypi mopidy[488]: ERROR [SomaFMBackend-11] mopidy_somafm.somafm Cannot fetch <![CDATA[Seven Inch Soul]]>
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting Mopidy core
Feb 03 20:32:41 raspberrypi mopidy[488]: ERROR [PodcastBackend-12] mopidy_podcast.library Cannot retrieve Podcast root directory
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting Mopidy frontends: HttpFrontend, YTMusicScrobbleFE, YouTubeAutoplayer, MpdFrontend, IrisFrontend
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [HttpFrontend-18] mopidy.http.actor HTTP server running at [::]:6680
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy_mpd.actor MPD server running at [::]:6600
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [IrisFrontend-22] mopidy_iris.core Starting Iris 3.55.4
Feb 03 20:32:41 raspberrypi mopidy[488]: INFO [MainThread] mopidy.commands Starting GLib mainloop
Feb 03 20:32:43 raspberrypi mopidy[488]: ERROR [Thread-7] mopidy_ytmusic YTMusic failed to load auto playlists
Feb 03 20:32:43 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 159, in _new_conn
Feb 03 20:32:43 raspberrypi mopidy[488]: (self._dns_host, self.port), self.timeout, **extra_kw)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 80, in create_connection
Feb 03 20:32:43 raspberrypi mopidy[488]: raise err
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 70, in create_connection
Feb 03 20:32:43 raspberrypi mopidy[488]: sock.connect(sa)
Feb 03 20:32:43 raspberrypi mopidy[488]: OSError: [Errno 101] Network is unreachable
Feb 03 20:32:43 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:43 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
Feb 03 20:32:43 raspberrypi mopidy[488]: chunked=chunked)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 343, in _make_request
Feb 03 20:32:43 raspberrypi mopidy[488]: self._validate_conn(conn)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 841, in _validate_conn
Feb 03 20:32:43 raspberrypi mopidy[488]: conn.connect()
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 301, in connect
Feb 03 20:32:43 raspberrypi mopidy[488]: conn = self._new_conn()
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 168, in _new_conn
Feb 03 20:32:43 raspberrypi mopidy[488]: self, “Failed to establish a new connection: %s” % e)
Feb 03 20:32:43 raspberrypi mopidy[488]: urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb090>: Failed to establish a new connection: [Errno 101] Network is unreachable
Feb 03 20:32:43 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:43 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/adapters.py”, line 449, in send
Feb 03 20:32:43 raspberrypi mopidy[488]: timeout=timeout
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 638, in urlopen
Feb 03 20:32:43 raspberrypi mopidy[488]: _stacktrace=sys.exc_info()[2])
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 398, in increment
Feb 03 20:32:43 raspberrypi mopidy[488]: raise MaxRetryError(_pool, url, error or ResponseError(cause))
Feb 03 20:32:43 raspberrypi mopidy[488]: urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘music.youtube.com’, port=443): Max retries exceeded with url: /youtubei/v1/browse?alt=json&key=AIzaSyC9XL3ZjWddXya6X74dJoCTL-WEYFDNX30 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb090>: Failed to establish a new connection: [Errno 101] Network is unreachable’))
Feb 03 20:32:43 raspberrypi mopidy[488]: During handling of the above exception, another exception occurred:
Feb 03 20:32:43 raspberrypi mopidy[488]: Traceback (most recent call last):
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/mopidy_ytmusic/backend.py”, line 126, in _get_auto_playlists
Feb 03 20:32:43 raspberrypi mopidy[488]: response = self.api._send_request(“browse”, {})
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/ytmusicapi/ytmusic.py”, line 125, in _send_request
Feb 03 20:32:43 raspberrypi mopidy[488]: proxies=self.proxies)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/sessions.py”, line 590, in post
Feb 03 20:32:43 raspberrypi mopidy[488]: return self.request(‘POST’, url, data=data, json=json, **kwargs)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/sessions.py”, line 542, in request
Feb 03 20:32:43 raspberrypi mopidy[488]: resp = self.send(prep, **send_kwargs)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/sessions.py”, line 655, in send
Feb 03 20:32:43 raspberrypi mopidy[488]: r = adapter.send(request, **kwargs)
Feb 03 20:32:43 raspberrypi mopidy[488]: File “/usr/local/lib/python3.7/dist-packages/requests/adapters.py”, line 516, in send
Feb 03 20:32:43 raspberrypi mopidy[488]: raise ConnectionError(e, request=request)
Feb 03 20:32:43 raspberrypi mopidy[488]: requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘music.youtube.com’, port=443): Max retries exceeded with url: /youtubei/v1/browse?alt=json&key=AIzaSyC9XL3ZjWddXya6X74dJoCTL-WEYFDNX30 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xb06fb090>: Failed to establish a new connection: [Errno 101] Network is unreachable’))
Feb 03 20:32:43 raspberrypi mopidy[488]: INFO [Thread-7] mopidy_ytmusic YTMusic Auto Playlists refreshed in 2.24s

Desktop or Lite version?

So you are setting a fixed alsa device for output. When you disconnect the monitor, does the hardware device of the audio device you want to use change? Check with ‘aplay -l’ with both the monitor connected and then disconnected.

And why is that log full of network errors? Is mopidy-youtube supposed to be working? I assumed this was an audio issue, not an Internet connection issue.

Running the desktop version of raspbian.

here is the aplay check with and without monitor output:

no monitor connection:

**** List of PLAYBACK Hardware Devices ****
card 0: Headphones [bcm2835 Headphones], device 0: bcm2835 Headphones [bcm2835 Headphones]
Subdevices: 8/8
Subdevice #0: subdevice #0
Subdevice #1: subdevice #1
Subdevice #2: subdevice #2
Subdevice #3: subdevice #3
Subdevice #4: subdevice #4
Subdevice #5: subdevice #5
Subdevice #6: subdevice #6
Subdevice #7: subdevice #7

with monitor connection

**** List of PLAYBACK Hardware Devices ****
card 0: b1 [bcm2835 HDMI 1], device 0: bcm2835 HDMI 1 [bcm2835 HDMI 1]
Subdevices: 4/4
Subdevice #0: subdevice #0
Subdevice #1: subdevice #1
Subdevice #2: subdevice #2
Subdevice #3: subdevice #3
card 1: Headphones [bcm2835 Headphones], device 0: bcm2835 Headphones [bcm2835 Headphones]
Subdevices: 3/4
Subdevice #0: subdevice #0
Subdevice #1: subdevice #1
Subdevice #2: subdevice #2
Subdevice #3: subdevice #3

Not sure if this is playback or network related. The one clear thing is that the network connects and plays back when connected to the monitor but doesn’t with the monitor unplugged. I don’t see any way an HDMi cable can impact a network connection.

Nor me. But your log is full of network errors, I guess they are due to some other problem you have in your setup.

I am going to ignore the network errors for now and fix one thing at a time. Do you see the difference between the two lists of playback hardware devices? Can you see why “alsasink device=hw:1,0” might be a problem when you remove the HDMI connection and only card 0 exists?

Yeah i see what you mean. Should i amend the config file to something else?

Yes. You need an ALSA identifier that doesn’t change as you add/remove devices.

have changed to
[audio]
output = autoaudiosink

Is this right? my intention is that audio plays out of the 3.5 mm regardless of hdmi connection to the monitor.

That is the default value. i.e. the value you would get if you had not tried to set that config option it in the first place. I assume that can’t have worked since you decided to change it, no?

Alternatively you can name a specific device. The name to use is taken from the output of aplay -l. This should work. If it doesn’t, play around and find what does.

[audio]
output = alsasink device=hw:Headphones

seems to work. nice one. Thanks for the help. can you tell me how to remove extensions that don’t work? tried sudo apt-get remove “name_extension” but didn’t work.